%define name menu
%define version 2.1.5
%define subversion 4
%define release 19mdk

Summary: menu system
Name: %{name}
Version: %version
Release: %release
Source0: %{name}-%{version}-%{subversion}.tar.bz2
Source1: %{name}.txt.bz2
Source2: %{name}-icons.tar.bz2
Source3: %{name}.menu
Source4: %{name}-locales.tar.bz2
Patch0: menu-mdk.patch.bz2
Patch1: menu-i18n.patch.bz2
Patch2: menu-rootmenu.patch.bz2
Patch3: menu-2.1.5-deb2mdk.patch.bz2
Patch4: menu-2.1.5-duringinstall.patch.bz2
Patch5: menu-2.1.5-chmod.patch.bz2
Patch6: menu-2.1.5-env+error.patch.bz2
Copyright: GPL
Group: System/Base
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: rpm-devel

%description
The intent of this package is to streamline the menu's.
For this purpose, menu provides an "update-menus" command,
that will read all installed menu files (as provided by
other packages in /usr/lib/menu), and run the frontents for various
window-managers in /etc/menu-methods to create startup files for
the window managers (or pdmenu).
The user and system admin can easily override the menu files
on a by-user or by-system bases.

%prep
%setup -a 4
%patch0 -p1 -b .mdk
%patch1 -p0 -b .i18n
%patch2 -p0 -b .rootmenu
%patch3 -p1
%patch4 -p0
%patch5 -p0 -b .chmod
%patch6 -p0

%build

automake
%configure
# optimization seems to make update-menus core dumps
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/{man1,man5}
mkdir -p $RPM_BUILD_ROOT/etc/{menu,menu-methods}
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu/default
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/usr/lib/menu/menu
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
tar yxf %{SOURCE2} -C $RPM_BUILD_ROOT/usr/share/icons
make prefix=$RPM_BUILD_ROOT/usr install
mv $RPM_BUILD_ROOT/usr/bin/install-menu $RPM_BUILD_ROOT/usr/sbin
mv $RPM_BUILD_ROOT/usr/bin/install-fvwmgenmenu $RPM_BUILD_ROOT/usr/sbin
#cp `find default/* -prune -type f` $RPM_BUILD_ROOT/usr/lib/menu/default
cp examples/translate_menus examples/menu.h \
	   examples/menu.config $RPM_BUILD_ROOT/etc/menu-methods 
install -m 755 scripts/install-fvwmgenmenu.sh scripts/su-to-root \
	  scripts/wm-menu-config \
	  $RPM_BUILD_ROOT/usr/sbin
install -m 644 doc/*.1 $RPM_BUILD_ROOT/usr/man/man1
install -m 644 doc/*.5 $RPM_BUILD_ROOT/usr/man/man5
bzcat %{SOURCE1} > doc/menu.txt

pushd $RPM_BUILD_ROOT/usr/lib/menu/default/ && \
for i in `grep -l  Apps/System/Admin *`;do rm -f $i;done \
&& popd

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -r /etc/sysconfig/i18n ]; then
    . /etc/sysconfig/i18n
fi

rm -f /etc/menu-methods/lang.h

echo "function lang()=\"$LANG\"" > /etc/menu-methods/lang.h

echo "function languages()=\"$RPM_INSTALL_LANG\"" >> /etc/menu-methods/lang.h

update-menus

%files
%defattr(-,root,root,0755)
%doc doc/{README*,BUGS,menu.txt} AUTHORS debian/changelog
%config /etc/*/*
%dir /etc/menu
/usr/bin
/usr/sbin
/usr/man
/usr/share
/usr/lib

%changelog
* Wed May 10 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-19mdk
- po updates for fr, lt, ro and sk.

* Tue May  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-18mdk
- new po.

* Sat May  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-17mdk
- new po.

* Thu May  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-16mdk
- fix bad chmod on dir.

* Thu May  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-15mdk
- pass environment to menu methods.
- catch endofline error to try to continue.

* Thu May  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-14mdk
- new po.
- do a chmod 644 on new file to allow menu to work on security level 5.

* Fri Apr 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-13mdk
- added icons for 16, 32 and 48.

* Wed Apr 26 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-12mdk
- updated po.
- corrected typos in menu entries.

* Wed Apr 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-11mdk
- new po.

* Tue Apr 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-10mdk
- added locales.

* Tue Apr 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-9mdk
- exit if DURING_INSTALL is set.

* Thu Apr 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-8mdk
- added new icons.
- removed default menus in Apps.

* Mon Apr 10 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-7mdk
- added icons for menu sections.
- added order in sections.

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.5-6mdk
- By default rootmenu are /Mandrake not Debian.

* Mon Apr  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-5mdk
- 2.1.5-4 author release: added also_run feature.
- doc update.
- fix for toplevel entry.
- tanslate debian menu sections to mandrake ones.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.5-4mdk
- Fix default structure.

* Wed Feb 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.5-3mdk
- More mandrake adpatation in default config.

* Wed Feb 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-2mdk
- added documentation.

* Mon Feb 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-1mdk
- mandrake adaptation

# end of file
